Filter projects
Name Result Error Project type Usage Group Total deprecations Total parsing errors Covered by rector Not covered by rector Non-Drupal deprecations Info/Composer Drupal 9 plan Sort descending Rector patch
dxpr_theme 1.0.x-dev Explicitly Drupal 9 compatible None Theme 19 10000 0 0 0 0 0 0 We aim to have a Drupal 9 release on the day Drupal 9.0.0 is out.
html5_audio_player 8.0.0 All rector covered None Module 7 10000 7 0 6 0 0 1 We are ready to port this module in Drupal 9. Available
moderated_content_bulk_publish 1.x-dev Explicitly Drupal 9 compatible None Module 324 10000 0 0 0 0 0 0 We made a conscious effort to avoid using deprecated functions, this module should be ready for Drupal 9 (knock on wood).
oswald 2.x-dev Explicitly Drupal 9 compatible None Module 0 10000 0 0 0 0 0 0 We plan to build this D8 and D9 safe
fills 8.0.0 Only info.yml/composer.json problem found None Theme 0 10000 1 0 0 0 0 1 We will do a drupal 9 port of it when bootstrap barrio create a drupal 9 version.
drowl_admin 1.x-dev Explicitly Drupal 9 compatible None Module 12 10000 0 0 0 0 0 0 We're happy to announce that this module is Drupal 9 compatible in the 2.x branch! :)
block_component_library 1.2.2 Explicitly Drupal 9 compatible None Module 5 10000 0 0 0 0 0 0 We're happy to announce that this module is Drupal 9 compatible! :)
webform_civicrm 5.x-dev Explicitly Drupal 9 compatible None Module 60 10000 0 0 0 0 0 0 Webform CiviCRM 8.x-5.x-dev is being developed with Drupal 9 in mind. So not ready yet but hopefully heading in the right direction. CiviCRM itself will require some dependency bumps (most notably symfony -> ^4.4)
webform_content_creator 1.x-dev Explicitly Drupal 9 compatible None Module 340 10000 0 0 0 0 0 0 Webform Content Creator 8.x-1.6+ supports Drupal 9. Enjoy.
webform_rest 2.x-dev Explicitly Drupal 9 compatible None Module 1027 1000 0 0 0 0 0 0 Webform REST 8.x-2.0-beta3+ supports Drupal 8.8|Drupal 9.
video_embed_field 2.x-dev Explicitly Drupal 9 compatible None Module 76467 50 0 0 0 0 0 0 Where possible, users are encouraged to use core media instead of Video Embed Field, however for existing sites, a Drupal 9 compatible version has already been tagged.
login_gauth 1.0.x-dev Only info.yml/composer.json problem found None Module 0 10000 1 0 0 0 0 1 Will Be released before August Available
file_update 1.0.0-alpha3 Only info.yml/composer.json problem found None Module 0 10000 2 0 0 0 0 2 Will be ported to D9 with its first stable release.
pagecss 2.0 Only info.yml/composer.json problem found None Module 1 10000 1 0 0 0 0 1 Will be ported to Drupal 9 by end of 2019. Available
glisseo 1.x-dev Explicitly Drupal 9 compatible None Theme 58 10000 0 0 0 0 0 0 Will be ready as soon as possible. Currently, there are no blockers.
imagefield_slideshow 1.x-dev Explicitly Drupal 9 compatible None Module 2003 1000 0 0 0 0 0 0 Will be soon ported to Drupal 9.
fieldable_panels_panes 1.0.x-dev Explicitly Drupal 9 compatible None Module 0 10000 0 0 0 0 0 0 Will be supported in the 1.0.x as a migration path to core blocks.
testpro 1.0 Some covered by rector None Module 0 10000 6 0 1 0 4 1 Will support in Drupal 9 as well Available
quicktabs 3.x-dev Needs manual review None Module 5851 500 3 0 0 2 0 1 Work for Drupal 9 is under active development. See plan.
webform_remote_handlers 1.x-dev Explicitly Drupal 9 compatible None Module 26 10000 0 0 0 0 0 0 Work in progress to fully support this module in Drupal 9
email_confirmer 1.x-dev Needs manual review None Module 282 10000 7 0 0 5 0 2 Work in progress, see [#3119778] Available
search_api_meilisearch 1.0.x-dev Explicitly Drupal 9 compatible None Module 0 10000 0 0 0 0 0 0 Working with Drupal 9 since the initial release.
selection_sharer 1.x-dev Explicitly Drupal 9 compatible None Module 25 10000 0 0 0 0 0 0 Working with Drupal 9.
contextual_range_filter 1.x-dev Explicitly Drupal 9 compatible None Module 490 10000 0 0 0 0 0 0 Works in D8 as well as D9.
webcomponents 3.9 Explicitly Drupal 9 compatible None Module 2 10000 0 0 0 0 0 0 Works now
oai_pmh_harvester 1.x-dev Explicitly Drupal 9 compatible None Module 0 10000 0 0 0 0 0 0 Works on D9.
upgrade_status 2.x-dev Explicitly Drupal 9 compatible None Module 3284 500 0 0 0 0 0 0 Works on Drupal 9, even if there is no point yet. [#3100308] still stands.
format_bytes 1.0 Explicitly Drupal 9 compatible None Module 75 10000 0 0 0 0 0 0 Works out of the box with Drupal 9
request_logger 1.x-dev Explicitly Drupal 9 compatible None Module 0 10000 0 0 0 0 0 0 Works the same on Drupal 8 and 9.
telephone_formatter 1.x-dev All rector covered None Module 1938 1000 3 0 2 0 0 1 You can follow a progress on making this module compatible with D9 in [#3087158] Available